Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class ContractTariffOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.tariff.option.common.bean.ContractTariffOption

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractTariffOption extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActivatedMode()`
  `Date`
  `getActivatedTime()`
  `int`
  `getChargeId()`
  `int`
  `getContractId()`
  `Date`
  `getDeactivatedTime()`
  `String`
  `getOptionComment()`
  `int`
  `getOptionId()`
  `String`
  `getOptionTitle()`
  `BigDecimal`
  `getSum()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `ContractTariffOption`
  `setActivatedMode(int activatedMode)`
  `ContractTariffOption`
  `setActivatedTime(Date activatedTime)`
  `ContractTariffOption`
  `setChargeId(int chargeId)`
  `ContractTariffOption`
  `setContractId(int contractId)`
  `ContractTariffOption`
  `setDeactivatedTime(Date deactivatedTime)`
  `ContractTariffOption`
  `setId(int id)`
  Устанавливает id объекта
  `ContractTariffOption`
  `setOptionComment(String optionComment)`
  `ContractTariffOption`
  `setOptionId(int optionId)`
  `ContractTariffOption`
  `setOptionTitle(String optionTitle)`
  `ContractTariffOption`
  `setSum(BigDecimal sum)`
  `ContractTariffOption`
  `setTimeFrom(Date timeFrom)`
  `ContractTariffOption`
  `setTimeTo(Date timeTo)`
  `ContractTariffOption`
  `setUserId(int userId)`
  `ContractTariffOption`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOption

    public ContractTariffOption()

- ## Method Details

  - ### getActivatedMode

    public int getActivatedMode()

  - ### getActivatedTime

    public Date getActivatedTime()

  - ### getChargeId

    public int getChargeId()

  - ### getContractId

    public int getContractId()

  - ### getDeactivatedTime

    public Date getDeactivatedTime()

  - ### getOptionComment

    public String getOptionComment()

  - ### getOptionId

    public int getOptionId()

  - ### getOptionTitle

    public String getOptionTitle()

  - ### getSum

    public BigDecimal getSum()

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### getTimeTo

    public Date getTimeTo()

  - ### getUserId

    public int getUserId()

  - ### getUserTitle

    public String getUserTitle()

  - ### setActivatedMode

    public ContractTariffOption setActivatedMode(int activatedMode)

  - ### setActivatedTime

    public ContractTariffOption setActivatedTime(Date activatedTime)

  - ### setChargeId

    public ContractTariffOption setChargeId(int chargeId)

  - ### setContractId

    public ContractTariffOption setContractId(int contractId)

  - ### setDeactivatedTime

    public ContractTariffOption setDeactivatedTime(Date deactivatedTime)

  - ### setId

    public ContractTariffOption setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setOptionComment

    public ContractTariffOption setOptionComment(String optionComment)

  - ### setOptionId

    public ContractTariffOption setOptionId(int optionId)

  - ### setOptionTitle

    public ContractTariffOption setOptionTitle(String optionTitle)

  - ### setSum

    public ContractTariffOption setSum(BigDecimal sum)

  - ### setTimeFrom

    public ContractTariffOption setTimeFrom(Date timeFrom)

  - ### setTimeTo

    public ContractTariffOption setTimeTo(Date timeTo)

  - ### setUserId

    public ContractTariffOption setUserId(int userId)

  - ### setUserTitle

    public ContractTariffOption setUserTitle(String userTitle)